﻿<?xml version="1.0" encoding="utf-8" standalone="no" ?>
<vehicle type="F350brush_Truck">
	<annotation>Copyright (C) GIANTS Software GmbH, All Rights Reserved. winston9587</annotation>
    <name><en>Ford F350 Brush Truck</en></name>
    <filename>assets/f350BrushTruck.dae</filename>
	<size width="3.5" length="5.5" lengthOffset="-0.4"/>
	<wheels autoRotateBackSpeed="2">
        <wheel rotSpeed="70" restLoad="7.12" repr="0>0|0" forcePointRatio="0.2" driveNode="0>0|0"   radius="0.52" width="0.42" initialCompression="50" suspTravel="0.2" spring="30" damper="20"                       maxLatStiffness="20" mass="2" hasTyreTracks="true" tyreTrackAtlasIndex="1" tireType="street" />
        <wheel rotSpeed="70" restLoad="7.12" repr="0>1|0" forcePointRatio="0.2" driveNode="0>1|0"   radius="0.52" width="0.42" initialCompression="50" suspTravel="0.2" spring="30" damper="20"                       maxLatStiffness="20" mass="2" hasTyreTracks="true" tyreTrackAtlasIndex="1" tireType="street" />
        <wheel rotSpeed="0" restLoad="8.12" repr="0>2|0" forcePointRatio="0.3"  driveNode="0>2|0"  radius="0.52" width="0.52" initialCompression="50" suspTravel="0.2" spring="30" damper="20" maxLongStiffness="10" maxLatStiffness="40" mass="2" hasTyreTracks="true" tyreTrackAtlasIndex="1" tireType="street" />
        <wheel rotSpeed="0" restLoad="8.12" repr="0>3|0" forcePointRatio="0.3"  driveNode="0>3|0"  radius="0.52" width="0.52" initialCompression="50" suspTravel="0.2" spring="30" damper="20" maxLongStiffness="10" maxLatStiffness="40" mass="2" hasTyreTracks="true" tyreTrackAtlasIndex="1" tireType="street" />
    </wheels>
	<ackermannSteering rotSpeed="60" rotMax="47" rotCenterWheel1="3" rotCenterWheel2="4" />
	<differentials>
        <differential torqueRatio="0.1" maxSpeedRatio="0.2" wheelIndex1="0" wheelIndex2="1" /> <!-- front left-right -->
        <differential torqueRatio="0.1" maxSpeedRatio="0.2" wheelIndex1="2" wheelIndex2="3" /> <!-- back left-right -->
        <differential torqueRatio="0.25" maxSpeedRatio="0.2" differentialIndex1="0" differentialIndex2="1" /> <!-- front-back -->
    </differentials>
	<motor torqueScale="3" minRpm="1000" maxRpm="4600" maxBackwardSpeed="15" brakeForce="20" lowBrakeForceScale="0.1" lowBrakeForceSpeedLimit="0.1" minForwardGearRatio="5" maxForwardGearRatio="330" minBackwardGearRatio="10" maxBackwardGearRatio="130">
        <torque normRpm="0.45" torque="0.5"/>
        <torque normRpm="0.5" torque="0.6"/>
        <torque normRpm="0.59" torque="0.7"/>
        <torque normRpm="0.72" torque="1"/>
        <torque normRpm="0.86" torque="0.88"/>
        <torque normRpm="1" torque="0.7"/>
    </motor>
	<fuelCapacity>1325</fuelCapacity>
    <fuelUsage>1</fuelUsage>
    <cameras count="3">
        <camera1 index="18|0|0" rotatable="true" rotateNode="18|0" limit="true" rotMinX="-1.4" rotMaxX="0" transMin="4" transMax="40" />
        <camera2 index="18|1" rotatable="true" limit="false" rotMinX="0" rotMaxX="0" transMin="0" transMax="0" />
        <camera3 index="18|2" rotatable="false"/>
    </cameras>
	<lights>
        <light realLight="0>9|0|0" decoration="0>9|0" lightType="0"/>
		<light realLight="0>9|7" lightType="1"/>
		<light decoration="0>9|0|14" lightType="0"/>
		<light decoration="0>9|0|15" lightType="0"/>
		<light decoration="0>9|0|16" lightType="0"/>
		<light decoration="0>9|0|17" lightType="0"/>
		<light decoration="0>9|0|18" lightType="0"/>
		<light decoration="0>9|0|19" lightType="0"/>
		<light decoration="0>9|0|20" lightType="0"/>
		<light decoration="0>9|0|21" lightType="0"/>
		<light decoration="0>9|0|22" lightType="0"/>
		<light decoration="0>9|0|23" lightType="0"/>
		<light decoration="0>9|0|24" lightType="0"/>
		<light decoration="0>9|0|25" lightType="0"/>
		<light decoration="0>9|0|26" lightType="0"/>
		<light decoration="0>9|0|27" lightType="0"/>
		<light decoration="0>9|0|28" lightType="0"/>
	</lights>	
	<exitPoint index="19" />
    <steering index="11|0" rotationSpeed="10"/>
	<enterReferenceNode index="0>" />
	<attachSound file="$data/vehicles/shared/attach.wav" pitchOffset="1" />
    <motorStartSound file="assets/f350_start.wav" pitchOffset="1" volume="0.4" />
    <motorSound file="assets/f350_idle.wav" pitchOffset="1" pitchScale="0.02" pitchMax="1.5" volume="0.4" />
    <motorSoundRun file="assets/powerstroke.wav" pitchOffset="0.5" pitchScale="0.02" pitchMax="1.05" volume="0.6" />
    <motorStopSound file="assets/f350_stop.wav" pitchOffset="1" />
	<honkSound file="assets/horn.wav" volume="1" radius="80" innerRadius="35" />
	<reverseDriveSound file="assets/reverse.wav" volume="6" pitchOffset="1"/>
	<exhaustEffects>
        <exhaustEffect index="0>15" filename="$data/vehicles/particleAnimations/shared/exhaust.i3d" minRpmColor="0.9 0.9 0.9 0.05" maxRpmColor="0.9 0.9 0.9 0.2" minRpmScale="0.2" maxRpmScale="0.5" forwardXRotations="-100 0 -50" forwardZRotations="330 0 -50" steerXRotations="0 0 0" steerZRotations="-100 0 200" />
   	</exhaustEffects>
    <attacherJoints>
		<attacherJoint index="0>13|0" jointType="trailer" maxRotLimit="10 80 80" minRotRotationOffset="0" allowsJointLimitMovement="false" />
		<attacherJoint index="0>13|1" jointType="trailerLow" maxRotLimit="10 80 80" minRotRotationOffset="0" allowsJointLimitMovement="false" />
		<attacherJoint index="0>14"   jointType="semitrailer" maxRotLimit="5 35 10" allowsLowering="false" allowsJointLimitMovement="false"/>
    </attacherJoints>
	<characterNode index="4" cameraMinDistance="1.5" />
	<brakeLights>
        <brakeLight index="0>9|1" />
    </brakeLights>
	<turnSignals>
        <turnSignalLeft index="0>9|2" />
        <turnSignalRight index="0>9|3" />
    </turnSignals>
	<reverseLights>
        <reverseLight index="0>9|5" />
    </reverseLights>
	<lightsaddon lightsStayOn="true" strobesAreBeacons="true">
		<light type="work" index="9|9" inputName="frontworklights" helptext="frontworklights" stayOn="true" />
		<light type="work" index="9|4" inputName="f350bedlight" helptext="f350bedlight" stayOn="true" />
		<light type="work" index="9|8" inputName="rooflight" helptext="rooflight" stayOn="true" />
		<light type="strobe" index="0>9|6|2" inputName="strobe" helptext="strobe" stayOn="true" sequence="30 30 30 30 30 30 30 30 30 30 30 30 400 400 400 400 400 400" invert="false" />
		<light type="strobe" index="0>9|6|0" inputName="strobe" stayOn="true" sequence="30 30 30 30 30 30 30 30 30 30 30 30 400 400 400 400 400 400" invert="true" />
		<light type="strobe" index="0>9|6|1" inputName="strobe" stayOn="true" sequence="30 30 30 30 30 30 30 30 30 30 30 30 400 400 400 400 400 400" invert="true" />
        <light type="strobe" index="0>9|6|3" inputName="strobe" stayOn="true" sequence="30 30 30 30 30 30 30 30 30 30 30 30 400 400 400 400 400 400" invert="false" />
        <light type="strobe" index="0>9|6|4" inputName="strobe" stayOn="true" sequence="20 20 20 20 20 500" invert="true" />
        <light type="strobe" index="0>9|6|5" inputName="strobe" stayOn="true" sequence="20 100 20 100 20 500" invert="true" />
		<light type="strobe" index="0>9|6|6" inputName="strobe" stayOn="true" sequence="20 20 20 20 20 500" invert="true" />
        <light type="strobe" index="0>9|6|7" inputName="strobe" stayOn="true" sequence="20 100 20 100 20 500" invert="true" />
		<light type="strobe" index="0>9|6|8" inputName="strobe" stayOn="true" sequence="30 30 30 30 30 30 30 30 30 30 30 30 400 400 400 400 400 400" invert="true" />
        <light type="strobe" index="0>9|6|9" inputName="strobe" stayOn="true" sequence="30 30 30 30 30 30 30 30 30 30 30 30 400 400 400 400 400 400" invert="true" />
		<light type="strobe" index="0>9|6|10" inputName="strobe" stayOn="true" sequence="30 30 30 30 30 30 30 30 30 30 30 30 400 400 400 400 400 400" invert="false" />
        <light type="strobe" index="0>9|6|11" inputName="strobe" stayOn="true" sequence="30 30 30 30 30 30 30 30 30 30 30 30 400 400 400 400 400 400" invert="false" />
	</lightsaddon>
	<components count="2">
        <component1 centerOfMass="0 0 0" solverIterationCount="10" />
		<component2 centerOfMass="0 0 0" solverIterationCount="10" />
		<joint component1="0" component2="1" index="0>12" rotLimit="0 0 0" transLimit="0 0 0" />
    </components>
	<aiTrafficCollisionTrigger index="0>" />
	<movingTools>
		<movingTool index="0>12" componentJointIndex="0" anchorActor="0"> </movingTool>
	</movingTools>
	<standardAnimations>
		<part name="tailgate" inputName="tailgatebutton" helpTextNamePos="tailgate1" helpTextNameNeg="tailgate2" />
		<part name="hood" inputName="hoodlift" helpTextNamePos="hoodup" helpTextNameNeg="hooddown" />
	</standardAnimations>
	<animations>
		<animation name="tailgate">
			<part node="12" startTime="0" duration="0.5" startRot="0 0 0" endRot="-90 0 0" startTrans="-0.00448 1.02065 -4.40973" endTrans="-0.00448 0.9428 -4.46902"/>
		</animation>
		<animation name="hood">
			<part node="20" startTime="0" duration="0.5" startRot="0 0 0" endRot="-40 0 0" startTrans="0 1.49 1.303" endTrans="0 1.49 1.303"/>
		</animation>
	</animations>
	<Attacher castPoint1="16" castPoint2="17" attacherNode="0>" highOffset="6" />
	<driveGroundParticleSystems>
        <driveGroundParticleSystem node="0>" position="-0.906 0 -2.192" rotation="0 0 0" file="$data/vehicles/particleAnimations/shared/drivingParticleSystem.i3d" wheel="3"/>
        <driveGroundParticleSystem node="0>" position="0.906 0 -2.192"  rotation="0 0 0" file="$data/vehicles/particleAnimations/shared/drivingParticleSystem.i3d" wheel="4"/>
        <driveGroundParticleSystem node="0>" position="-1.07 0 1.437" rotation="0 0 0" file="$data/vehicles/particleAnimations/shared/drivingParticleSystem.i3d" wheel="1" />
        <driveGroundParticleSystem node="0>" position="1.074 0 1.437"  rotation="0 0 0" file="$data/vehicles/particleAnimations/shared/drivingParticleSystem.i3d" wheel="2" />
    </driveGroundParticleSystems>
	<schemaOverlay file="$dataS2/menu/schemas/vehicleSchema.png" fileSelected="$dataS2/menu/schemas/vehicleSchemaSelected.png" width="0.5" height="0.5" attacherJointPosition="0.5 0">
        <attacherJoint position="1 0" rotation="0" invertX="false" />
        <attacherJoint position="1 0" rotation="0" invertX="false" />
        <attacherJoint position="1 0" rotation="0" invertX="false" />
        <attacherJoint position="1 0" rotation="0" invertX="false" />
    </schemaOverlay>
</vehicle>
